Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# nipype.interfaces.minc.base module

The minc module provides classes for interfacing with the MINC command line tools. This module was written to work with MINC version 2.2.00.

Author: Carlo Hamalainen <carlo@carlo-hamalainen.net>

  http://carlo-hamalainen.net

class nipype.interfaces.minc.base.Info

  Bases: `object`

  Handle MINC version information.

  version refers to the version of MINC on the system

  static version()

    Check for minc version on the system

    Parameters

      None –

    Returns

      version – Version number as dict or None if MINC not found

    Return type

      dict

nipype.interfaces.minc.base.aggregate_filename(files, new_suffix)

  Try to work out a sensible name given a set of files that have been combined in some way (e.g. averaged). If we can’t work out a sensible prefix, we use the first filename in the list.

  Examples

      >>> from nipype.interfaces.minc.base import aggregate_filename
      >>> f = aggregate_filename(['/tmp/foo1.mnc', '/tmp/foo2.mnc', '/tmp/foo3.mnc'], 'averaged')
      >>> os.path.split(f)[1] # This has a full path, so just check the filename.
      'foo_averaged.mnc'

      >>> f = aggregate_filename(['/tmp/foo1.mnc', '/tmp/blah1.mnc'], 'averaged')
      >>> os.path.split(f)[1] # This has a full path, so just check the filename.
      'foo1_averaged.mnc'

nipype.interfaces.minc.base.check_minc()

  Returns True if and only if MINC is installed.’

nipype.interfaces.minc.base.no_minc()

  Returns True if and only if MINC is not installed.